
Foreman - Bug #32921

DHCP next-server option is "false" when tftp-servername was not provided

07/01/2021 08:00 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: TFTP   

Target version: 2.5.2   

Difficulty:  Fixed in Releases: 2.5.2, 3.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8635

  

Description

When installer option --foreman-proxy-tftp-servername is unset, smart proxy DHCP module renders next-server as "false". This is

caused by expecting serverName is returned as nil, however, it looks like smart proxy can return empty string too.

Associated revisions

Revision 32181a11 - 07/06/2021 09:15 AM - Lukas Zapletal

Fixes #32921 - treat empty TFTP servername correctly

History

#1 - 07/01/2021 08:02 AM - Lukas Zapletal

- Target version set to 2.5.2

- Triaged changed from No to Yes

Requesting backport to 2.5 and 2.4

#2 - 07/01/2021 08:04 AM - Lukas Zapletal

- Project changed from Smart Proxy to Foreman

- Category changed from TFTP to TFTP

#3 - 07/01/2021 08:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8635 added

#4 - 07/06/2021 09:16 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#5 - 07/06/2021 09:17 AM - Tomer Brisker

- Fixed in Releases 2.5.2 added

#6 - 07/06/2021 10:08 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|32181a1193d0fee04578683be645a910138eba02.
